Subject: Re: bug#23609: 25.0.92; Python eldoc freeze

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 May 2016 22:30:33 +0300

> From: Jules Tamagnan <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 27 May 2016 15:13:42 -0400
> 
> >   . The problem happens only when the interpreter is busy doing
> >     something, is that right?  If so, perhaps we shouldn't turn
> >     eldoc-mode off, but instead simply return?
> 
> The problem with simply returning instead of canceling the behavior for
> the buffer is that a second (or so) later eldoc will once again try to
> fetch the documentation and will be frozen until the timeout. This means
> that you will be repeatidly be getting frozen as you type. It won't be
> a complete freeze that crashes emacs but it won't be pleasant.

Once again, perhaps I misunderstand the nature of the problem, but
doesn't it happen only when the Python interpreter is busy doing
something when the eldoc function is invoked?  If so, then the next
time eldoc is invoked, the Python interpreter might not be busy, and
the feature will work without hanging, right?  Or am I missing
something?

> 
> >   . If we do turn eldoc-mode off, then I think a message to that
> >     effect is in order, to let the user know.
> 
> We're not turning it off but yes a warning would definitely be nice.

Well, we turn off the automatic display of the documentation in the
echo area, right?

Thanks.